accounts/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('register/', views.registerPage, name='register'),
    path('login/', views.loginPage, name='login'),
    path('logout/', views.logoutPage, name='logout'),
]

d06_project/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('workout/', include(('workout.urls', 'workout'), namespace='workout')),
    path('', include(('main.urls','main'), namespace='main')),
    path('forum/', include(('forum.urls', 'forum'), namespace='forum')),
    path('accounts/', include(('accounts.urls', 'accounts'), namespace='accounts')),
    path('recipe/', include(('recipe.urls', 'recipe'), namespace='recipe')),
    path('covid-19/', include('data_covid.urls', namespace='data_covid')),
    path('comment/' , include(('commentrecipe.urls', 'commentrecipe'), namespace='commentrecipe')),
    path('replyforum/' , include(('replyforum.urls', 'replyforum'), namespace='replyforum'))
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

accounts/models.py
from django.db import models

# Create your models here.

accounts/forms.py
from django.contrib.auth import forms
from django.forms import ModelForm, fields
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from . import models 

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'password1', 'password2']

    def __init__(self, *args, **kwargs):
        super(CreateUserForm, self).__init__(*args, **kwargs)

        self.fields['username'].widget.attrs['placeholder'] = 'Username'
        self.fields['password1'].widget.attrs['placeholder'] = 'Password'
        self.fields['password2'].widget.attrs['placeholder'] = 'Password confirmation'

accounts/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm
from django.contrib import messages
from django.contrib.auth import authenticate, login, logout

from .forms import CreateUserForm


# Create your views here.
def registerPage(request):
    form = CreateUserForm()
    
    if request.method == 'POST':
        form = CreateUserForm(request.POST)
        if form.is_valid():
            form.save()

            user = form.cleaned_data.get('username')
            messages.success(request, 'Account was successfuly created for ' + user)

            return redirect('accounts:login')
        else:
            messages.info(request, form.errors)

    context = {'form':form}
    return render(request, 'register.html', context)

def loginPage(request):

    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            return redirect('main:home')

        else:
            messages.info(request, 'Username or password is incorrect')

    context = {}
    return render(request, 'login.html', context)

def logoutPage(request):
    logout(request)
    return redirect('main:home')

accounts/templates/login.html
{% extends 'base.html' %}

{% block meta %}
<style>
    #container {
        background-color: #AC3834;
        border-radius: 12px;
        position: relative;
        top: 100px;
        margin-left: auto;
        margin-right: auto;
        width: 25%;
        font-size: 20px;   
        text-align: center;
        margin-bottom: 48px;

    }

    #loginhead {
        font-size: 24px;
        color: white;
        background-color: #811112;
        height: 70px;
        text-align: center;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;

    }

    input[type=text], input[type=password] {
        width: 80%;
        padding: 15px;
        margin: 25px 0 22px 0;
        display: inline-block;
        border: none;
        background: #EDE0D0;
    }

    input[type=text]:focus, input[type=password]:focus {
        background-color: #ddd;
        outline: none;
    }

    #loginerror {
        font-size: 16px;
    }

    #submitbutton {
        background-color: #811112;
        color: white;
        padding: 16px 20px;
        margin: 8px 0;
        border: none;
        cursor: pointer;
        width: 25%;
        opacity: 0.9;
    }

    #submitbutton:hover {
        opacity: 1;
    }

    #registerbutton {
        padding: 16px 20px;
        color: #EDE0D0;
    }

</style>

<title>D06 | Login</title>
{% endblock meta %}

{% block content %}
<body>
    <form method="POST" action="">
        <div id="container">
            {% csrf_token %}

            <div id="loginhead">
                <h1>Login</h1>
            </div>
            
            <input type="text" name="username" placeholder="Username"> <br>
            <input type="password" name="password" placeholder="Password"> <br> <br>
    
            <div id="loginerror">
                {% for message in messages %}
                <p>{{message}}</p>
                {% endfor %}
            </div>

            <input type="submit" name="Login User" id="submitbutton">

            <p id="registerbutton"> Don't have an account? <a href="{% url 'accounts:register'%}"> Register </a></p>
        </div>
    </form>
</body>
{% endblock content %}

accounts/templates/register.html
{% extends 'base.html' %}

{% block meta %}
<style>
    #container {
        background-color: #AC3834;
        border-radius: 12px;
        position: relative;
        top: 100px;
        margin-left: auto;
        margin-right: auto;
        width: 25%;
        font-size: 20px;   
        text-align: center;
        margin-bottom: 48px;

    }

    #registerhead {
        font-size: 24px;
        color: white;
        background-color: #811112;
        height: 70px;
        text-align: center;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;

    }

    input[type=text], input[type=password] {
        width: 80%;
        padding: 15px;
        margin: 25px 0 22px 0;
        display: inline-block;
        border: none;
        background: #EDE0D0;
    }

    input[type=text]:focus, input[type=password]:focus {
        background-color: #ddd;
        outline: none;
    }

    #registerbody {
        font-size: 12px;
    }

    #submitbutton {
        background-color: #811112;
        color: white;
        padding: 16px 20px;
        margin: 8px 0;
        border: none;
        cursor: pointer;
        width: 25%;
        opacity: 0.9;
    }

    #submitbutton:hover {
        opacity: 1;
    }

    #loginbutton {
        padding: 16px 20px;
        color: #EDE0D0;
    }

</style>

<title>D06 | Register</title>
{% endblock meta %}

{% block content %}
<form method="POST" action="">
    <div id="container">
        {% csrf_token %}

        <div id="registerhead">
            <h1>Register</h1>
        </div>

        {{form.username}} <br>
    
        {{form.password1}} <br>
    
        {{form.password2}} <br> <br>
    
        <div id="registererror">
            {% for message in messages %}
            <p>{{message}}</p>
            {% endfor %}
        </div>
    
        <input type="submit" name="Create User" id="submitbutton">
        <p id="loginbutton"> Already have an account? <a href="{% url 'accounts:login'%}"> Login </a></p>
    </div>
</form>
{% endblock content %}